gr::lte::descrambler_vfvf Class Referenceabstract

LTE DescramblerScrambling sequences are setable on runtime and chosen upon tag reception. More...

`#include <descrambler_vfvf.h>`

Inheritance diagram for gr::lte::descrambler_vfvf:
[legend]

## Public Types

typedef boost::shared_ptr< descrambler_vfvf > | sptr

## Public Member Functions

virtual void | set_descr_seqs (std::vector< std::vector< float > > seqs)=0

## Static Public Member Functions

static sptr | make (std::string tag_key, std::string msg_buf_name, int len, std::string name="descrambler_vfvf")
| Return a shared_ptr to a new instance of lte::descrambler_vfvf.

## Detailed Description

LTE Descrambler

Scrambling sequences are setable on runtime and chosen upon tag reception.

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<descrambler_vfvf> gr::lte::descrambler_vfvf::sptr

## Member Function Documentation

## make()

static sptr gr::lte::descrambler_vfvf::make | ( | std::string | tag_key,
|  | std::string | msg_buf_name,
|  | int | len,
|  | std::string | name = "descrambler_vfvf" )

static

Return a shared_ptr to a new instance of lte::descrambler_vfvf.

To avoid accidental use of raw pointers, lte::descrambler_vfvf's constructor is in a private implementation class. lte::descrambler_vfvf::make is the public interface for creating new instances.

## set_descr_seqs()

virtual void gr::lte::descrambler_vfvf::set_descr_seqs | ( | std::vector< std::vector< float > > | seqs | ) |

pure virtual

Implemented in gr::lte::descrambler_vfvf_impl.

The documentation for this class was generated from the following file:

- descrambler_vfvf.h